<template>
  <div class="c-filters__wrapper">
    <input class="c-filters__search" v-model="computedFilter" placeholder="Search">
    <button @click="handleClearButton" class="c-button">Clear</button>
  </div>
</template>

<script>
export default {
  name: "FilterComponent",

  props: ['filter'],
  computed: {
    computedFilter: {
      get() {
        return this.filter;
      },
      set(value) {
        this.$emit('change', value);
      },
    },
  },
  methods: {
    handleClearButton() {
      this.$emit("change", "");
    }
  },

};
</script>
